---------------------------------------------------------------------------------------------------
-- |
-- Module      :  Text.Bravo.Syntax
-- Copyright   :  Matthias Reisner
-- License     :  BSD3
--
-- Maintainer  :  Matthias Reisner <matthias.reisner@googlemail.com>
-- Stability   :  experimental
-- Portability :  unknown
--
-- Bravo template syntax.
--
---------------------------------------------------------------------------------------------------

module Text.Bravo.Syntax (
        Template (..),
        TemplateSplice (..)
    )
where

import Language.Haskell.Exts.Syntax

data Template = Template String [TemplateSplice] deriving Show

data TemplateSplice = TText String
                    | TComment String
                    | TExpr Exp
                    | TConditions [(Exp, [TemplateSplice])]
                    deriving Show
